> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Exercise Requests

> Lists the caller's in-progress exercise requests that have a signature request document.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json GET /tga/get-exercise-requests
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/get-exercise-requests:
    get:
      operationId: getExerciseRequests
      summary: Get Exercise Requests
      description: >-
        Lists the caller's in-progress exercise requests that have a signature
        request document.


        Not available to API keys.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetExerciseRequestsResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetExerciseRequestsResponse:
      type: array
      items:
        type: object
        properties:
          exerciseRequestID:
            type: string
          roleInOrgID:
            type: string
          grantID:
            type: string
          status:
            type: string
            enum:
              - EXERCISE_REQUEST_IMPORTED_FROM_OFF_PLATFORM
              - PENDING_AGREEMENT
              - PENDING_SETTLEMENT
              - PENDING_TAX_APPROVAL
              - PENDING_TOKU_ACCEPTANCE
              - REJECTED
              - SETTLED
          units:
            type: string
            pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
          settlementMethod:
            type: string
            enum:
              - TOKEN
              - CASH
          documentID:
            type:
              - string
              - 'null'
          addedByRoleInOrgID:
            type:
              - string
              - 'null'
          rejectedAt:
            type:
              - string
              - 'null'
          rejectedReason:
            type:
              - string
              - 'null'
          rejectedByRoleInOrgID:
            type:
              - string
              - 'null'
          approvedByRoleInOrgID:
            type:
              - string
              - 'null'
          approvedAt:
            type:
              - string
              - 'null'
          taxReferenceID:
            type:
              - string
              - 'null'
          settlementID:
            type:
              - string
              - 'null'
          lockedUntil:
            type:
              - string
              - 'null'
          lockupEndNotifiedAt:
            type:
              - string
              - 'null'
          paymentReceivedAt:
            type:
              - string
              - 'null'
          paymentAmount:
            type:
              - string
              - 'null'
            pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
          paymentCurrencyCode:
            type:
              - string
              - 'null'
          paymentReference:
            type:
              - string
              - 'null'
          createdAt:
            type: string
          updatedAt:
            type: string
          deletedAt:
            type:
              - string
              - 'null'
          grant:
            type:
              - object
              - 'null'
            additionalProperties: {}
        required:
          - exerciseRequestID
          - roleInOrgID
          - grantID
          - status
          - units
          - settlementMethod
          - documentID
          - addedByRoleInOrgID
          - rejectedAt
          - rejectedReason
          - rejectedByRoleInOrgID
          - approvedByRoleInOrgID
          - approvedAt
          - taxReferenceID
          - settlementID
          - lockedUntil
          - lockupEndNotifiedAt
          - paymentReceivedAt
          - paymentAmount
          - paymentCurrencyCode
          - paymentReference
          - createdAt
          - updatedAt
          - deletedAt
          - grant
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
